summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2007-09-25 19:29:11 +0000
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2007-09-25 19:29:11 +0000
commite13c4d2146bf81f24e22048ed81da17a3abe1452 (patch)
tree93bba2f883b526850e7f0624cb42ec225550b704 /autogen.sh
parentcd911ed48753313a8faf0914cfc280a3379947fe (diff)
Hook up the locally built stubs for Renaming and use them instead of the ones in tp-glib-unstable
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100644
index 0000000..f84b784
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+if test -z "$MAKE"
+then
+ MAKE=make
+fi
+
+( cd extensions && \
+ TOP_SRCDIR=.. sh tools/update-spec-gen-am.sh _gen/spec-gen.am _gen )
+
+autoreconf -i
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ ./configure "$@"
+fi